﻿using HealthMonitor.Service.Resolver.Interface;
using HealthMonitor.Service.Sub;
using Microsoft.Extensions.Logging;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TDengineTMQ;
using TelpoDataService.Util.Entities.GpsLocationHistory;

namespace HealthMonitor.Service.Resolver.Factory
{
    public class ResolverFactory : IResolverFactory
    {
        private readonly ILogger<ResolverFactory> _logger;
        public ResolverFactory(ILogger<ResolverFactory> logger) 
        {
            _logger = logger;
        }

        public dynamic ParseAndWrap(ReceiveMessageModel msg)
        {
            var table=msg.Topic;    
            switch (table)
            {
                case "topic_hm_bp_stats":

                    HisGpsBloodPress bloodPress = JsonConvert.DeserializeObject<HisGpsBloodPress>(msg.Body)!;
                    return bloodPress!;

                default:
                    break;
            }
            return false;
        }
    }
}
