﻿using HealthMonitor.Service.Resolver;
using HealthMonitor.Service.Resolver.Interface;
using Microsoft.Extensions.Logging;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HealthMonitor.Service.Sub
{

    public class MsgManager
    {
        private readonly BloodpressResolver _resolver;
        private readonly ILogger<MsgManager> _logger;
        private  object _obj = default!;
        public MsgManager(ILogger<MsgManager> logger, BloodpressResolver resolver)
        {
            _logger = logger;
            _resolver = resolver;
        }

        public void AddMsg(object msg) 
        {
            _obj = msg;
        }


        public IResolver? GetMsgResolver()
        {
            if (_obj == null)
            {
                return  null;
            }
            _resolver.SetResolveInfo(_obj);
            return _resolver;
        }
    }
}
